//#pragma GCC optimize("unroll-loops, Ofast")
//#pragma GCC target("sse,sse2,avx,avx2")

#include <bits/stdc++.h>

#define int long long
using namespace std;

void solve() {
    int n, m, g;
    cin >> n >> m >> g;
    cout << m - (n - 1) << "\n";
    cout << 1 << "\n";
}

signed main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    int _ = 1;
    //cin >> _;
    while (_--) {
        solve();
    }
    return 0;
}
